package com.prolog.cs.biz.outbound.service;

import com.prolog.cs.biz.outbound.model.OutboundHandover;
import com.prolog.cs.biz.outbound.model.dto.OutboundHandoverDTO;
import com.prolog.framework.core.pojo.Page;

import java.util.List;

public interface OutboundHandoverService {

    Page<OutboundHandover> getPage(String billGroupId,String srcCode,String shipperName,String warehouseId, Integer pageNum, Integer pageSize);

    void add(OutboundHandover model);

    OutboundHandoverDTO getBarcodeDetail(String billGroupId,String warehouseId);
    List<OutboundHandoverDTO> getBarcodeDetails(String billGroupId, String warehouseId);

}
